com.sun.grid.jgdi.configuration

## Interface Event

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    EventImpl

      public interface Event
      extends GEObject

  Java representation of the cull object ET_Type defined in sge_all_listsL.template

  Warning: The Event class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getIntkey()` Get the value of the intkey attribute.
    `int` | `getIntkey2()` Get the value of the intkey2 attribute.
    `int` | `getNumber()` Get the value of the number attribute.
    `java.lang.String` | `getStrkey()` Get the value of the strkey attribute.
    `java.lang.String` | `getStrkey2()` Get the value of the strkey2 attribute.
    `int` | `getTimestamp()` Get the value of the timestamp attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetIntkey()` Determine if any intkey attribute is set
    `boolean` | `isSetIntkey2()` Determine if any intkey2 attribute is set
    `boolean` | `isSetNumber()` Determine if any number attribute is set
    `boolean` | `isSetStrkey()` Determine if any strkey attribute is set
    `boolean` | `isSetStrkey2()` Determine if any strkey2 attribute is set
    `boolean` | `isSetTimestamp()` Determine if any timestamp attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `void` | `setIntkey(int aIntkey)` Set the intkey attribute.
    `void` | `setIntkey2(int aIntkey2)` Set the intkey2 attribute.
    `void` | `setNumber(int aNumber)` Set the number attribute.
    `void` | `setStrkey(java.lang.String aStrkey)` Set the strkey attribute.
    `void` | `setStrkey2(java.lang.String aStrkey2)` Set the strkey2 attribute.
    `void` | `setTimestamp(int aTimestamp)` Set the timestamp attribute.
    `void` | `setType(int aType)` Set the type attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setNumber

          void setNumber(int aNumber)

      Set the number attribute.
      Parameters:
        `aNumber` - the new value for the number attribute

    - #### getNumber

          int getNumber()

      Get the value of the number attribute.
      Returns:
        the value of the number attribute

    - #### isSetNumber

          boolean isSetNumber()

      Determine if any number attribute is set
      Returns:
        `true` if the number attribute is set

    - #### setTimestamp

          void setTimestamp(int aTimestamp)

      Set the timestamp attribute.
      Parameters:
        `aTimestamp` - the new value for the timestamp attribute

    - #### getTimestamp

          int getTimestamp()

      Get the value of the timestamp attribute.
      Returns:
        the value of the timestamp attribute

    - #### isSetTimestamp

          boolean isSetTimestamp()

      Determine if any timestamp attribute is set
      Returns:
        `true` if the timestamp attribute is set

    - #### setType

          void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### setIntkey

          void setIntkey(int aIntkey)

      Set the intkey attribute.
      Parameters:
        `aIntkey` - the new value for the intkey attribute

    - #### getIntkey

          int getIntkey()

      Get the value of the intkey attribute.
      Returns:
        the value of the intkey attribute

    - #### isSetIntkey

          boolean isSetIntkey()

      Determine if any intkey attribute is set
      Returns:
        `true` if the intkey attribute is set

    - #### setIntkey2

          void setIntkey2(int aIntkey2)

      Set the intkey2 attribute.
      Parameters:
        `aIntkey2` - the new value for the intkey2 attribute

    - #### getIntkey2

          int getIntkey2()

      Get the value of the intkey2 attribute.
      Returns:
        the value of the intkey2 attribute

    - #### isSetIntkey2

          boolean isSetIntkey2()

      Determine if any intkey2 attribute is set
      Returns:
        `true` if the intkey2 attribute is set

    - #### setStrkey

          void setStrkey(java.lang.String aStrkey)

      Set the strkey attribute.
      Parameters:
        `aStrkey` - the new value for the strkey attribute

    - #### getStrkey

          java.lang.String getStrkey()

      Get the value of the strkey attribute.
      Returns:
        the value of the strkey attribute

    - #### isSetStrkey

          boolean isSetStrkey()

      Determine if any strkey attribute is set
      Returns:
        `true` if the strkey attribute is set

    - #### setStrkey2

          void setStrkey2(java.lang.String aStrkey2)

      Set the strkey2 attribute.
      Parameters:
        `aStrkey2` - the new value for the strkey2 attribute

    - #### getStrkey2

          java.lang.String getStrkey2()

      Get the value of the strkey2 attribute.
      Returns:
        the value of the strkey2 attribute

    - #### isSetStrkey2

          boolean isSetStrkey2()

      Determine if any strkey2 attribute is set
      Returns:
        `true` if the strkey2 attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.